curl --request POST \
--url https://console.sendlayer.com/api/v1/email \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"From": {
"name": "Paulie Paloma",
"email": "paulie@example.com"
},
"To": [
{
"name": "Pattie Paloma",
"email": "pattie@exampledomain.com"
}
],
"Subject": "This is the email subject",
"ContentType": "HTML",
"CC": [
{
"name": "Pattie Paloma CC",
"email": "pattie.cc@exampledomain.com"
}
],
"BCC": [
{
"name": "Pattie Paloma BCC",
"email": "pattie.bcc@exampledomain.com"
}
],
"ReplyTo": [
{
"name": "Pattie Paloma ReplyTo",
"email": "pattie.reply@exampledomain.com"
}
],
"HTMLContent": "<html><body><p>This is a test email sent with the <a href=\\\"https://sendlayer.com\\\">SendLayer</a> API!</p></body></html>",
"PlainContent": "This is a test email sent with the SendLayer API!",
"Tags": [
"newsletter, daily"
],
"Headers": {
"X-Mailer": "test mailer",
"X-Test": "test header"
},
"Attachments": [
{
"Content": "BASE 64 ENCODED STRING",
"Type": "image/png",
"Filename": "test.png",
"Disposition": "attachment",
"ContentId": 0
}
]
}
'import requests
url = "https://console.sendlayer.com/api/v1/email"
payload = {
"From": {
"name": "Paulie Paloma",
"email": "paulie@example.com"
},
"To": [
{
"name": "Pattie Paloma",
"email": "pattie@exampledomain.com"
}
],
"Subject": "This is the email subject",
"ContentType": "HTML",
"CC": [
{
"name": "Pattie Paloma CC",
"email": "pattie.cc@exampledomain.com"
}
],
"BCC": [
{
"name": "Pattie Paloma BCC",
"email": "pattie.bcc@exampledomain.com"
}
],
"ReplyTo": [
{
"name": "Pattie Paloma ReplyTo",
"email": "pattie.reply@exampledomain.com"
}
],
"HTMLContent": "<html><body><p>This is a test email sent with the <a href=\\"https://sendlayer.com\\">SendLayer</a> API!</p></body></html>",
"PlainContent": "This is a test email sent with the SendLayer API!",
"Tags": ["newsletter, daily"],
"Headers": {
"X-Mailer": "test mailer",
"X-Test": "test header"
},
"Attachments": [
{
"Content": "BASE 64 ENCODED STRING",
"Type": "image/png",
"Filename": "test.png",
"Disposition": "attachment",
"ContentId": 0
}
]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
From: {name: 'Paulie Paloma', email: 'paulie@example.com'},
To: [{name: 'Pattie Paloma', email: 'pattie@exampledomain.com'}],
Subject: 'This is the email subject',
ContentType: 'HTML',
CC: [{name: 'Pattie Paloma CC', email: 'pattie.cc@exampledomain.com'}],
BCC: [{name: 'Pattie Paloma BCC', email: 'pattie.bcc@exampledomain.com'}],
ReplyTo: [{name: 'Pattie Paloma ReplyTo', email: 'pattie.reply@exampledomain.com'}],
HTMLContent: '<html><body><p>This is a test email sent with the <a href=\"https://sendlayer.com\">SendLayer</a> API!</p></body></html>',
PlainContent: 'This is a test email sent with the SendLayer API!',
Tags: ['newsletter, daily'],
Headers: {'X-Mailer': 'test mailer', 'X-Test': 'test header'},
Attachments: [
{
Content: 'BASE 64 ENCODED STRING',
Type: 'image/png',
Filename: 'test.png',
Disposition: 'attachment',
ContentId: 0
}
]
})
};
fetch('https://console.sendlayer.com/api/v1/email', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"MessageID": "8912e59e-ec88-bcd6-45dd-0012fe223ab6"
}Send Email
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
Below is the JSON payload required for sending a single email. Be sure to replace the example email addresses with valid email addresses in the From and To objects.
Note: The From email address must contain your sender domain, which is the domain that you’ve verified in SendLayer. For example, if you’ve authorized example.com you’ll need to use your-email@example.com.
Additionally, you can send emails to multiple recipients by adding more objects to the To, CC,and BCC arrays within the specified limits. See our Getting Started guide for more details.
Show child attributes
Show child attributes
Show child attributes
Show child attributes
"This is the email subject"
Declared type of the message body. Use HTML when an HTMLContent body is present, otherwise Text.
HTML, Text "HTML"
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
HTML body of the email. Optional, but at least one of HTMLContent or PlainContent must be supplied.
"<html><body><p>This is a test email sent with the <a href=\\\"https://sendlayer.com\\\">SendLayer</a> API!</p></body></html>"
Plain-text body of the email. Optional, but at least one of HTMLContent or PlainContent must be supplied. Sending both is recommended for deliverability; ContentType is reported as HTML whenever an HTML body is present.
"This is a test email sent with the SendLayer API!"
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Response
OK
A successfully delivered email returns the MessageID
A successfully delivered email returns the MessageID
"8912e59e-ec88-bcd6-45dd-0012fe223ab6"
Was this page helpful?